﻿using System;

namespace LocalOverride.Fiddler
{
    public interface ILogger
    {
        event EventHandler<NewMessageEventArgs> NewMessage;
        void Log(string message);
    }

    public class NewMessageEventArgs : EventArgs
    {
        public string Message { get; private set; }

        public NewMessageEventArgs(string message)
        {
            Message = message;
        }
    }
}