﻿using System.Collections.Generic;

namespace LocalOverride.Fiddler.Store
{
    public interface IMappingStore
    {
        void Persist();
        void AddEntry(MappingEntry mappingEntry);
        IEnumerable<MappingEntry> Entries { get; }
        void Clear();
        void RemoveEntry(MappingEntry mappingEntry);
        IValidator ValidatorFor(MappingEntry mappingEntry);
    }
}